<?
if(($_GET["acao"]!="logar") and ($_GET["acao"]!="sair")) {
   header("Location: login.php?info=ok&causa=".urlencode('Você não tem permissão para acessar esta página!'));
   exit;
}
if($_GET["acao"] == "logar") {
	$painel = "frontend";
	include("admin/brain.php");
	$senha=$_POST['senha'];
	$senhacripto=md5($senha);   
    $usuario = $_POST['usuario'];
    $volta = $_POST['volta'];
    $q_user = mysql_query("SELECT * FROM usuarios WHERE usuario='$usuario'");

    if(mysql_num_rows($q_user) == 1) {
   
        $query = mysql_query("SELECT * FROM usuarios WHERE usuario='$usuario'");
        $dados = mysql_fetch_array($query);
        if($senhacripto == $dados['senha']) {
			$nivel=$dados['nivel'];
			setcookie("usuario_front", $dados['nome'], 0);
			setcookie("status", "bG9nYWRv", 0);
			setcookie("session", $dados['nivel'], 0);
			$hoje = date("Y-m-d");
			$hora= date("G:i:s");
			$query_ultimo_acesso = "UPDATE usuarios SET data_ultimo_acesso='$hoje', horario_ultimo_acesso='$hora' WHERE usuario='$usuario'";
			$run_ultimo_acesso = mysql_query($query_ultimo_acesso);
			header("Location: documentos.php");
			exit;
        } else {
            header("Location: login.php?info=ok&causa=".urlencode('Senha Incorreta'));
            exit;
        }
    } else {
		header("Location: login.php?info=ok&causa=".urlencode('Usuário Inválido'));
        exit;
    }
}
if($_GET['acao'] == "sair") {
	setcookie("usuario_front", 0, time()-3600);
	setcookie("status", 0, time()-3600);
	setcookie("session", 0, time()-3600);
	header("Location: index.php");
	exit;
}
?>